Loading...
Searching...
No Matches
Dune::CartesianIndexMapper< Dune::ALUGrid< 3, 3, Dune::cube, Dune::nonconforming > >::GlobalIndexDataHandle Class Reference
Inheritance diagram for Dune::CartesianIndexMapper< Dune::ALUGrid< 3, 3, Dune::cube, Dune::nonconforming > >::GlobalIndexDataHandle:

## Public Member Functions

| GlobalIndexDataHandle (const GridView &gridView, std::vector< int > &cartesianIndex)
| GlobalIndexDataHandle (const GlobalIndexDataHandle &other)=delete
bool | contains (int, int codim) const
bool | fixedsize (int, int) const
template<class MessageBufferImp, class EntityType>
void | gather (MessageBufferImp &buff, const EntityType &element) const
| loop over all internal data handlers and call gather for given entity
template<class MessageBufferImp, class EntityType>
void | scatter (MessageBufferImp &buff, const EntityType &element, std::size_t)
| loop over all internal data handlers and call scatter for given entity
template<class EntityType>
std::size_t | size (const EntityType &) const
| loop over all internal data handlers and return sum of data size of given entity

## Protected Member Functions

void | initialize ()
void | finalize ()

## Protected Attributes

GridView | gridView_
GlobalIndexContainer | globalIndex_
std::vector< int > & | cartesianIndex_

The documentation for this class was generated from the following file:

- opm/simulators/flow/AluGridCartesianIndexMapper.hpp